All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.util.transforms
Class StringListInterfaceToStringTransform

    com.sas.util.transforms.StringListInterfaceToStringTransform

All Implemented Interfaces:
  com.sas.util.transforms.TransformInputOutputInterface, com.sas.util.transforms.TransformInterface, java.io.Serializable

    public class StringListInterfaceToStringTransform

implements com.sas.util.transforms.TransformInputOutputInterface

A transform for converting a StringListInterface to a String

See Also:
  `StringToStringListInterfaceTransform`, Serialized Form

Field Summary
`static StringListInterfaceToStringTransform` | `defaultInstance` An object which can perform a default transform from StringListInterface to String.

Constructor Summary
`StringListInterfaceToStringTransform()` Default constructor.
`StringListInterfaceToStringTransform(char delimiter, boolean alwaysQuote)` Value constructor.

Method Summary
`protected static char` | `defaultDelimiterChar()`
`java.lang.Class` | `getInputClass()`
`java.lang.Class` | `getOutputClass()`
`java.lang.Object` | `transform(java.lang.Object object)` Transform an object.

Field Detail

### defaultInstance

    public static final StringListInterfaceToStringTransform defaultInstance

  An object which can perform a default transform from StringListInterface to String.

Constructor Detail

### StringListInterfaceToStringTransform

    public StringListInterfaceToStringTransform()

  Default constructor. Create a transform which converts a StringListInterface into a String, using the default delimiter ',' and always quoting strings

### StringListInterfaceToStringTransform

    public StringListInterfaceToStringTransform(char delimiter,
                                                boolean alwaysQuote)

  Value constructor. Create a transform which converts a StringListInterface into a String, using the specific delimiter and quoting.

  Parameters:
    `delimiter` - character to separate the string items in the result
    `alwaysQuote` - if true, each string is quoted, else only special strings are quoted.

Method Detail

### defaultDelimiterChar

    protected static char defaultDelimiterChar()

### transform

    public java.lang.Object transform(java.lang.Object object)

  Transform an object. This method transforms a StringListInterface to a String.

  Specified by:
    `transform` in interface `com.sas.util.transforms.TransformInterface`
  Parameters:
    `object` - an input object. Must be null or an instance of StringListInterface
  Returns:
    a string representation of the string list.

### getInputClass

    public java.lang.Class getInputClass()

  Specified by:
    `getInputClass` in interface `com.sas.util.transforms.TransformInputOutputInterface`

### getOutputClass

    public java.lang.Class getOutputClass()

  Specified by:
    `getOutputClass` in interface `com.sas.util.transforms.TransformInputOutputInterface`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.